summaryrefslogtreecommitdiff
path: root/dev-python/python-novaclient
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-05 08:13:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-05 08:13:23 +0000
commit3ceeeb71476e4e7c29c37bbd1a2b3a97e34761e2 (patch)
treecb83708f1390fccc0f8521b61b63a2d9ea7bd752 /dev-python/python-novaclient
parent5ce2273fa2607278dbc7825cd7f518b2f2c8561a (diff)
downloadbaldeagleos-repo-3ceeeb71476e4e7c29c37bbd1a2b3a97e34761e2.tar.gz
baldeagleos-repo-3ceeeb71476e4e7c29c37bbd1a2b3a97e34761e2.tar.xz
baldeagleos-repo-3ceeeb71476e4e7c29c37bbd1a2b3a97e34761e2.zip
Adding metadata
Diffstat (limited to 'dev-python/python-novaclient')
-rw-r--r--dev-python/python-novaclient/Manifest1
-rw-r--r--dev-python/python-novaclient/python-novaclient-18.11.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/python-novaclient/Manifest b/dev-python/python-novaclient/Manifest
index 1da1fde28b24..42f74aee9f6c 100644
--- a/dev-python/python-novaclient/Manifest
+++ b/dev-python/python-novaclient/Manifest
@@ -1 +1,2 @@
DIST python_novaclient-18.10.0.tar.gz 340630 BLAKE2B 6457e951ae338f5bd2af95e9db59dc7587c19ecb2a927c4e53c523410f7f2b5de2b1a575242a41b06c6db075e29a45f00825645a79b7ad241ab682303b7ed038 SHA512 d5a8ee3751e7f258204afec4a60db3947522c6fd016ab3166d234f5fad6ef7303fcda27159357ca65a2b5ea5d62a112088f6cd489c86963068d61ca6b4ffcf3b
+DIST python_novaclient-18.11.0.tar.gz 340209 BLAKE2B 0845630883e2924b07748911e662b53bfbf0312cc6cd91c98a31f20991db73739526f66d8345c00d681276b1bd5557d54a0e91d4ac59a4405df57a12633bc1e3 SHA512 870251052beb88e7e47ef88a386583d6710f1fa40d934f70552e9333de394c70efbe510191e69871ff60e0f634ca42fd3d358d1900e8892c1164eb2f9cc33b80
diff --git a/dev-python/python-novaclient/python-novaclient-18.11.0.ebuild b/dev-python/python-novaclient/python-novaclient-18.11.0.ebuild
new file mode 100644
index 000000000000..6eb1a6b56b2d
--- /dev/null
+++ b/dev-python/python-novaclient/python-novaclient-18.11.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A client for the OpenStack Nova API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-novaclient/
+ https://github.com/openstack/python-novaclient/
+ https://pypi.org/project/python-novaclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.12.2[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/bandit[${PYTHON_USEDEP}]
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/openstacksdk[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/tempest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ sed -e 's/test_osprofiler/_&/' -i novaclient/tests/unit/test_shell.py || die
+ sed -e 's/novaclient\.tests\.unit\.//' -i novaclient/tests/unit/test_api_versions.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b novaclient/tests/unit
+}